Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfIndirectObj

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfObject
          edu.harvard.hul.ois.jhove.module.pdf.PdfIndirectObj

    public class PdfIndirectObj

extends PdfObject

A representation of a PDF indirect object reference.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`_genNumber, _objNumber`

Constructor Summary
`PdfIndirectObj(int objNumber, int genNumber, java.util.Map<java.lang.Long,PdfObject> objectMap)` Creates a PdfIndirectObj object.

Method Summary
`PdfObject` | `getObject()` Retrieves the object which is referenced.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`getGenNumber, getObjNumber, setGenNumber, setObjNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfIndirectObj

    public PdfIndirectObj(int objNumber,
                          int genNumber,
                          java.util.Map<java.lang.Long,PdfObject> objectMap)

  Creates a PdfIndirectObj object.

  Parameters:
    `objNumber` - The PDF object number
    `genNumber` - The PDF generation number
    `objectMap` - The object map for the PDF file

Method Detail

### getObject

    public PdfObject getObject()

  Retrieves the object which is referenced. Uses the cached reference if there is one; caches the reference if there wasn't one before.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD